import { PontxMocksPlugin, PontManager } from "pontx-manager";
import * as PontxSpec from "pontx-spec";
export declare const TYPE_TS = "\nexport type APIMocks<API extends { request: any }> = API[\"request\"];\n\nexport type ControllerMocks<Controller extends { [x: string]: any }> = {\n  [K in keyof Controller]?: APIMocks<Controller[K]>;\n};\n";
export type MocksOptions = {
    schemaMapper?: Function;
    mocksDataMapper?: Function;
    mocksDir?: string;
};
export declare class DefaultPontxMocksPlugin extends PontxMocksPlugin {
    getOptions(manager: PontManager, options: any): MocksOptions;
    getTsPreMocksData(manager: PontManager, mocksOptions: MocksOptions): Promise<{
        [x: string]: any;
    }>;
    getPreMocksData(manager: PontManager, mocksOptions: MocksOptions): Promise<any>;
    apply(manager: PontManager, options?: any): Promise<void>;
    getAPIMockCode(manager: PontManager, options: any, apiName: string, modName: string, specName: string): Promise<string>;
    static getFileStructure(manager: PontManager, options: MocksOptions, mocksData: any): {};
    static getSpecFileStructure(spec: PontxSpec.PontSpec, options: MocksOptions, mocksData: any): {};
    static generateMocksCode(manager: PontManager, options: MocksOptions, mocksData: any): Promise<void>;
}
export default DefaultPontxMocksPlugin;
//# sourceMappingURL=index.d.ts.map